export declare const defaultMargins: {
    top: number;
    right: number;
    bottom: number;
    left: number;
    header: number;
    footer: number;
    gutter: number;
};
export declare type Margins = typeof defaultMargins;
export declare type Orient = 'landscape' | 'portrait';
export declare const documentTemplate: (width: number, height: number, orient: string, margins: Margins) => string;
/**
 * 页眉模板
 * @param headerContent
 */
export declare const headerDocumentTemplate: (headerContent: string) => string;
/**
 * 空页眉模板
 */
export declare const emptyHeaderDocumentTemplate = "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?>\n<w:hdr xmlns:w=\"http://schemas.openxmlformats.org/wordprocessingml/2006/main\">\n    <w:p />\n</w:hdr>";
/**
 * 页脚模板
 * @param headerContent
 */
export declare const footerDocumentTemplate: () => string;
