/**
 * 页脚文件
 */
import IRelationFile from './IRelationFile';
export default class FooterFileInfo implements IRelationFile {
    /**
     * 编号
     */
    id: string;
    /**
     * 目标文件路径
     */
    target: string;
    /**
     * html内容
     */
    htmlContent: string;
    /**
     * 排除不加
     */
    exceptSectionIdx: number;
    get mhtName(): string | undefined;
    /**
     * 生成openxml文本内容
     * @param isLast
     */
    documentOPENXML(isLast: boolean): string;
    /**
     * 生成Content_types.xml内容类型引用定义
     */
    getContentTypeXml(): string;
    /**
     * 生成关联文件xml内容
     */
    getRelationXml(): string;
}
