/// <reference types="node" />
import { DocumentOptions } from './internal';
import WordFile from './extends/wordFile';
export declare function asBlob(html: string, options?: Partial<DocumentOptions>): Promise<Blob | Buffer>;
/**
 * 创建一个word文档对象
 * @param fileName 文件名
 */
export default function createWord(fileName: string): WordFile;
